com.sun.jna

## Class ELFAnalyser.ELFSectionHeaders

- java.lang.Object
- - com.sun.jna.ELFAnalyser.ELFSectionHeaders

Enclosing class:
  ELFAnalyser

    static class ELFAnalyser.ELFSectionHeaders
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ELFSectionHeaders(boolean _64bit, boolean bigEndian, java.nio.ByteBuffer headerData, java.io.RandomAccessFile raf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ELFAnalyser.ELFSectionHeaderEntry>` `getEntries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELFSectionHeaders

    public ELFSectionHeaders(boolean _64bit,
                             boolean bigEndian,
                             java.nio.ByteBuffer headerData,
                             java.io.RandomAccessFile raf)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getEntries

    public java.util.List<ELFAnalyser.ELFSectionHeaderEntry> getEntries()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.